# Uses of Interface
net.shibboleth.idp.attribute.transcoding.AttributeTranscoderRegistry

Packages that use AttributeTranscoderRegistry
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.transcoding.impl
Implementation classes for attribute transcoding.
net.shibboleth.idp.saml.attribute.impl
Miscellaneous implementation classes related to SAML Attributes.

## Uses of AttributeTranscoderRegistry in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl with type parameters of type AttributeTranscoderRegistry
Modifier and Type
Field
Description
`private ReloadableService<AttributeTranscoderRegistry>`
BasicResponseMappingStrategy.`transcoderService`
AttributeTranscoderRegistry service.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return types with arguments of type AttributeTranscoderRegistry
Modifier and Type
Method
Description
`ReloadableService<AttributeTranscoderRegistry>`
BasicResponseMappingStrategy.`getTranscoderService()`
Get the instance of `AttributeTranscoderRegistry` service to use.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.impl with type arguments of type AttributeTranscoderRegistry
Modifier and Type
Method
Description
`void`
BasicResponseMappingStrategy.`setTranscoderService(ReloadableService<AttributeTranscoderRegistry> service)`
Set the instance of `AttributeTranscoderRegistry` service to use.

## Uses of AttributeTranscoderRegistry in net.shibboleth.idp.attribute.transcoding.impl

Classes in net.shibboleth.idp.attribute.transcoding.impl that implement AttributeTranscoderRegistry
Modifier and Type
Class
Description
`class`
`AttributeTranscoderRegistryImpl`
Service implementation of the `AttributeTranscoderRegistry` interface.
Methods in net.shibboleth.idp.attribute.transcoding.impl that return types with arguments of type AttributeTranscoderRegistry
Modifier and Type
Method
Description
`AbstractServiceableComponent<AttributeTranscoderRegistry>`
AttributeRegistryServiceStrategy.`apply(ApplicationContext appContext)`

## Uses of AttributeTranscoderRegistry in net.shibboleth.idp.saml.attribute.impl

Fields in net.shibboleth.idp.saml.attribute.impl with type parameters of type AttributeTranscoderRegistry
Modifier and Type
Field
Description
`private final ReloadableService<AttributeTranscoderRegistry>`
AttributeMappingNodeProcessor.`transcoderRegistry`
Service used to get the registry of decoding rules.
Methods in net.shibboleth.idp.saml.attribute.impl with parameters of type AttributeTranscoderRegistry
Modifier and Type
Method
Description
`private void`
AttributeMappingNodeProcessor.`handleAttributeConsumingService(AttributeTranscoderRegistry registry, AttributeConsumingService acs)`
Look inside the `AttributeConsumingService` for any `RequestedAttribute`s and map them.
`private void`
AttributeMappingNodeProcessor.`handleEntityAttributes(AttributeTranscoderRegistry registry, Extensions extensions)`
Look inside the `Extensions` for `EntityAttributes` and map them.
Constructor parameters in net.shibboleth.idp.saml.attribute.impl with type arguments of type AttributeTranscoderRegistry
Modifier
Constructor
Description
``
`AttributeMappingNodeProcessor(ReloadableService<AttributeTranscoderRegistry> registry)`
Constructor.